/**<pre>
 * Title: iSIM
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package recorder;

import agent.*;
import util.*;
import java.awt.*;


/* ====================================================================== */
/** This class represents
 *
 */
public class Record{

	/** The port to open a socket and send data to. */
  	private int port;

	/**  */
	private Point point;


	private double heading;



    /* ===================================================================== */
    /** This constructor initializes the user.
     *
     *  @param  l   The starting location of this user on the map.
     *  @param  p   The port the ipaq gps receiver is listening on.
     *
     */
  	public Record(int p, Point l, double h){

		point = l;
		port = p;
		heading = h;

	} //Constructor







    /* ===================================================================== */
    /** This method returns the port this user is using.
     *
     *  @return  int   The port this user uses to send data to ipaq application.
     *
     */
	public int getPort(){

		return port;

	} //method: getPort


    /* ===================================================================== */
    /** This method returns the port this user is using.
     *
     *  @return  int   The port this user uses to send data to ipaq application.
     *
     */
	public double getHeading(){

		return heading;

	} //method: getPort


    /* ===================================================================== */
    /** This method returns the port this user is using.
     *
     *  @return  int   The port this user uses to send data to ipaq application.
     *
     */
	public Point getPoint(){

		return point;

	} //method: getPort


	public String toString(){

		return ""+ port+" : "+point.x +", "+point.y + " : "+heading;
	}


} //class: User

